Bug 1029327 - 'qemu-img info' take too much time with 'cluster_size=512,preallocation=metadata' in the first time
Summary: 'qemu-img info' take too much time with 'cluster_size=512,preallocation=metad...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm
Version: 6.5
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Max Reitz
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 1018451
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-12 07:53 UTC by Jan Kurik
Modified: 2013-12-06 05:13 UTC (History)
17 users (show)

Fixed In Version: qemu-kvm-0.12.1.2-2.415.el6_5.3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-22 00:26:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:1750 normal SHIPPED_LIVE qemu-kvm bug fix update 2013-11-21 09:13:23 UTC

Description Jan Kurik 2013-11-12 07:53:41 UTC
This bug has been copied from bug #1018451 and has been proposed
to be backported to 6.5 z-stream (EUS).

Comment 6 Miroslav Rezanina 2013-11-12 11:04:42 UTC
Fixed in qemu-kvm-0.12.1.2-2.415.el6_5_5.3

Comment 8 Xu Han 2013-11-13 03:22:07 UTC
Verify this bug with component:
qemu-img-0.12.1.2-2.415.el6_5.3.x86_64

Step:
1. Create an image with 'cluster_size=512,preallocation=metadata', and then query the information.
# time qemu-img create -f qcow2 -o cluster_size=512,preallocation=metadata disk.img 4G; time qemu-img info disk.img

Result:
After step1,
Formatting 'disk.img', fmt=qcow2 size=4294967296 encryption=off cluster_size=512 preallocation='metadata' 

real	5m52.712s
user	0m4.461s
sys	0m11.529s
image: disk.img
file format: qcow2
virtual size: 4.0G (4294967296 bytes)
disk size: 530M
cluster_size: 512

real	0m0.006s
user	0m0.000s
sys	0m0.004s


Also tested with default cluster_size and 'preallocation=metadata', the resule shows below.
# time qemu-img create -f qcow2 -o preallocation=metadata disk.img 4G; time qemu-img info disk.img
Formatting 'disk.img', fmt=qcow2 size=4294967296 encryption=off cluster_size=65536 preallocation='metadata' 

real	0m0.367s
user	0m0.005s
sys	0m0.207s
image: disk.img
file format: qcow2
virtual size: 4.0G (4294967296 bytes)
disk size: 784K
cluster_size: 65536

real	0m0.004s
user	0m0.001s
sys	0m0.002s


Base on these test results above, this bug has been fixed.

Comment 11 errata-xmlrpc 2013-11-22 00:26:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1750.html


Note You need to log in before you can comment on or make changes to this bug.